SND_DMAENGINE_PCM_TR(9)

NAME
snd_dmaengine_pcm_trigger - dmaengine based PCM trigger implementation

SYNOPSIS

int snd_dmaengine_pcm_trigger(struct snd_pcm_substream * substream, int cmd);

ARGUMENTS

substream
    PCM substream

cmd
    Trigger command

DESCRIPTION

Returns 0 on success, a negative error code otherwise.

This function can be used as the PCM trigger callback for dmaengine based PCM driver implementations.

COPYRIGHT